### Function

# ECal ComponentBagItem new

since: 3.58

#### Declaration [src]

    ECalComponentBagItem*
    e_cal_component_bag_item_new (
      ECalClient* client,
      ECalComponent* comp,
      guint min_duration_minutes,
      ICalTimezone* timezone
    )

#### Description [src]

Creates a new `ECalComponentBagItem`, which will have prefilled all members except of those for the user data.

The `min_duration_minutes` is used to define the minimum duration, in minutes, the item should have set. Any smaller duration is increased to it.

The span_index member is always zero here.

When the `timezone` is `NULL`, the UTC is assumed.

Available since: 3.58

#### Parameters

`client`

  Type: `ECalClient`

  An `ECalClient`.

  The data is owned by the caller of the function.

`comp`

  Type: `ECalComponent`

  An `ECalComponent`.

  The data is owned by the caller of the function.

`min_duration_minutes`

  Type: `guint`

  Minimum duration, in minutes.

`timezone`

  Type: `None`

  An `ICalTimezone` to calculate the start time for, or `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

#### Return value

Type: `ECalComponentBagItem`

A new `ECalComponentBagItem`.

The caller of the function takes ownership of the data, and is responsible for freeing it.